CharactersetEncoder.EncodedChars (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.fonts

## Class CharactersetEncoder.EncodedChars

- java.lang.Object
- - org.apache.fop.afp.fonts.CharactersetEncoder.EncodedChars

- Enclosing class:
    CharactersetEncoder

      public static class CharactersetEncoder.EncodedChars
      extends java.lang.Object

  A container for encoded character bytes

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()` The bytes
    `int` | `getLength()` The number of containing bytes.
    `boolean` | `isDBCS()` Indicates whether or not the EncodedChars object wraps double byte characters.
    `void` | `writeTo(java.io.OutputStream out, int offset, int length)` write `length` bytes from `offset` to the output stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeTo

          public void writeTo(java.io.OutputStream out,
                              int offset,
                              int length)
                       throws java.io.IOException

      write `length` bytes from `offset` to the output stream
      Parameters:
        `out` - output to write the bytes to
        `offset` - the offset where to write
        `length` - the length to write
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### getLength

          public int getLength()

      The number of containing bytes.
      Returns:
        the length

    - #### isDBCS

          public boolean isDBCS()

      Indicates whether or not the EncodedChars object wraps double byte characters.
      Returns:
        true if the wrapped characters are double byte (DBCSs)

    - #### getBytes

          public byte[] getBytes()

      The bytes
      Returns:
        the bytes

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.